Get the authenticated user
curl --request GET \
--url https://orbitlab.dev/api/v1/user \
--header 'Authorization: Bearer <token>'import requests
url = "https://orbitlab.dev/api/v1/user"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orbitlab.dev/api/v1/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}User
Get the authenticated user
Profile, active organization, organizations in scope and, for token requests, the token in use.
CLI: orbitlab whoami
GET
/
v1
/
user
Get the authenticated user
Autorisations
bearerAuthsessionCookie
API token (olab_…) created in Settings → API tokens or with orbitlab login.
En-têtes
Organization to act on (id or slug) for tokens that can access several organizations. Defaults to your first organization.
Réponse
user, organization, organizations, authMethod, token.
The response is of type object.
Cette page vous a-t-elle été utile ?